Subject: Re: [TR] HEATER CORE

From: "Randall" <[email-masked]>
Date: Sun, 22 Feb 2015 10:35:45 -0800

> Looking for solution to rot heater core in'61 TR3A. 

Reproduction heater cores are available from the usual suspects (but best be sitting down when you see the price).  Or there are
several aftermarket heaters that can be adapted, although some of them only fit over in the passenger side footwell where they may
not keep the driver as warm.  Bob Schaller suggested in More BS to fit a Spitfire heater under the dash, which likely works much
better than the stock unit ever did.

Here's an article on one way to build your own core for the original TR3 heater http://tinyurl.com/nutzgs6 (written for a Land Rover
but should work for TR3).

I've actually got a pair of old gasoline-fired heaters from the 1940's; but I've never had the nerve to try to make them work.
http://southwindheater.com/Pricing.html
I've heard that they put out huge amounts of heat; but have been known to dump burning gasoline in the passenger compartment.

-- Randall  

** [email-masked] **

Archive: http://www.team.net/archive